Bug 165125 - internal compiler error in function "prottnew"
internal compiler error in function "prottnew"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc3 (Show other bugs)
4.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-04 11:45 EDT by Judy Langan
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 3.4.3-22.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-06 05:31:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed output of file being compiled (208.19 KB, text/plain)
2005-08-04 11:55 EDT, Judy Langan
no flags Details

  None (edit)
Description Judy Langan 2005-08-04 11:45:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4) Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
See preprocessed output attached

Version-Release number of selected component (if applicable):
gcc-3.4.3-9.EL4

How reproducible:
Always

Steps to Reproduce:
1.Here is the command:
/usr/bin/gcc -c -o /vobs_prgs/linuxx86/obj/prsys/profnd.o -fwritable-strings -O -DANSI_BLOWOUT -DUNIX -DPRO_MOD -DPRO_MOD_BUGFIX -DNO_DEBUG_CODE -DNATIVE -D_THREAD_SAFE -D_REENTRANT -DANSI_BLOWOUT -D_XOPEN_SOURCE=500 -D_GNU_SOURCE -DOPEN_SSL -DCMK_OSVER="Linux 2.6.9-5.ELsmp" -DCMK_CCVER="gcc version 3.4.3 20041212 (Red Hat 3.4.3-9.EL4)" -I/vobs_prgs/src/rh -I/vobs_prgs/src/linuxx86 -I/vobs_rkt/src/dbmgr/incl -I/vobs_rkt/src/glue/incl -I/vobs_usrrdl/msg7 /vobs_prgs/src/prsys/profnd.c
cc1: note: -fwritable-strings is deprecated; see documentation for details
/vobs_prgs/src/prsys/profnd.c:54: warning: "struct rntdsc" declared inside parameter list
/vobs_prgs/src/prsys/profnd.c:54: warning: its scope is only this definition or declaration, which is probably not what you want
/vobs_prgs/src/prsys/profnd.c:130:8: warning: extra tokens at end of #endif directive
/vobs_prgs/src/prsys/profnd.c: In function `prottnew':
/vobs_prgs/src/prsys/profnd.c:760: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cchsyIa9.out file, please attach this to your bugreport.

2. this is line 760:
	ret = profldu(picb, &idxval.aditem, pfldix, (struct prochartbl*)0, 0, 0);
3.
  

Actual Results:  Got internal compiler error: Segmentation fault

Expected Results:  Compile should have succeeded.

Additional info:

/vobs_prgs/src/prsys/profnd.c: In function `prottnew':
/vobs_prgs/src/prsys/profnd.c:760: internal compiler error: Segmentation fault
Comment 1 Judy Langan 2005-08-04 11:55:43 EDT
Created attachment 117458 [details]
preprocessed output of file being compiled
Comment 2 Jakub Jelinek 2005-08-06 05:31:44 EDT
I can reproduce this with 3.4.3-9.EL4 (the original RHEL4 GA gcc), but can't
any longer with 3.4.3-22.1 (RHEL4 U1 gcc) nor with 3.4.4-2 (current proposed
RHEL4 U2 gcc).

Note You need to log in before you can comment on or make changes to this bug.